WIKITRANS(1)

NAME
wikitrans - MediaWiki markup translator

SYNOPSIS
wikitrans [OPTIONS] ARG

DESCRIPTION

wikitrans translates MediaWiki documents markup to various other formats. If ARG looks like a URL, the wiki text to be converted will be downloaded from that URL.

Otherwise, if --base-url is given, ARG is treated as the name of the page to get from the WikiMedia istallation at that URL.

Otherwise, ARG is name of the file to read wiki material from.

OPTIONS

--version
    Show program version number and exit.

-h, --help
    Show a short usage summary and exit.

-v, --verbose
    verbose operation

-I ITYPE, --input-type=ITYPE
    set input document type ("default" or "wiktionary")

-t OTYPE, --to=OTYPE, --type=OTYPE
    set output document type ("html" (default), "texi", "text", or "dump")

-l LANG, --lang=LANG
    set input document language

-o KW=VAL, --option=KW=VAL
    set keyword option for the parser class constructor

-d DEBUG, --debug=DEBUG
    set debug level (0..100)

-D, --dump
    dump parse tree and exit; similar to --type=dump

-b URL, --base-url=URL
    set base url
    Note: when using --base-url or passing URL as an argument (2nd and 3rd use cases above), if the URL is in 'wikipedia.org' or 'wiktionary.org' domain, the options --input-type, and --lang are set automatically.

EXAMPLES
wikitrans text.wiki wikitrans --base-url http://en.wiktionary.org door wikitrans https://en.wiktionary.org/wiki/Special:Export/door

AUTHOR
wikitrans was written by Sergey Poznyakoff <gray@gnu.org>

This manual page was written by Ahmed El-Mahmoudy <aelmahmoudy@users.sourceforge.net>, for the Debian project (but may be used by others).